using Microsoft.FxCop.Sdk;

namespace CustomRule1
{
    public class SearchAssembliesRule : BaseIntrospectionRule
    {
        public SearchAssembliesRule()
            : base("SearchAssembliesRule", "CustomRule1.CustomRule1", typeof(SearchAssembliesRule).Assembly)
        {
        }

        public override ProblemCollection Check(ModuleNode module)
        {
            Problem problem = new Problem(GetResolution(module.Name));
            Problems.Add(problem);
            return Problems;
        }
    }
}
